Agora Java API Reference for Android

Public Member Functions | List of all members
io.agora.musiccontentcenter.IMusicContentCenterEventHandler Interface Reference

## Public Member Functions
void | onPreLoadEvent (String requestId, long songCode, int percent, String lyricUrl, int state, int reason)
void | onMusicCollectionResult (String requestId, int page, int pageSize, int total, Music[] list, int reason)
void | onMusicChartsResult (String requestId, MusicChartInfo[] list, int reason)
void | onLyricResult (String requestId, long songCode, String lyricUrl, int reason)
void | onSongSimpleInfoResult (String requestId, long songCode, String simpleInfo, int reason)

## Member Function Documentation

## ◆ onPreLoadEvent()

void io.agora.musiccontentcenter.IMusicContentCenterEventHandler.onPreLoadEvent | ( | String | requestId,
|  | long | songCode,
|  | int | percent,
|  | String | lyricUrl,
|  | int | state,
|  | int | reason
| ) |  |

Preload process callback, occurs when preload is called

Parameters

  requestId | The request id is same as that returned by onPreLoadEvent.
  songCode | Song code
  percent | Preload progress (0 ~ 100)
  lyricUrl | The lyric url of this music
  state | Preload state; see PreloadState.
  reason | The status of the request. See MusicContentCenterStateReason

## ◆ onMusicCollectionResult()

void io.agora.musiccontentcenter.IMusicContentCenterEventHandler.onMusicCollectionResult | ( | String | requestId,
|  | int | page,
|  | int | pageSize,
|  | int | total,
|  | Music[] | list,
|  | int | reason
| ) |  |

Music collection, occurs when getMusicCollectionByMusicChartId or searchMusic method is called.

Parameters

  requestId | The request id is same as that returned by getMusicCollectionByMusicChartId or searchMusic
  page | The page of the music chart, starting from 1
  pageSize | The page size, max is 50.
  total | The total size.
  list | The result of music collection.
  reason | The status of the request.

## ◆ onMusicChartsResult()

void io.agora.musiccontentcenter.IMusicContentCenterEventHandler.onMusicChartsResult | ( | String | requestId,
|  | MusicChartInfo[] | list,
|  | int | reason
| ) |  |

The music chart result callback; occurs when getMusicCharts method is called.

Parameters

  requestId | The request id is same as that returned by getMusicCharts.
  list | The result of music chart collection
  reason | The status of the request. See MusicContentCenterStateReason

## ◆ onLyricResult()

void io.agora.musiccontentcenter.IMusicContentCenterEventHandler.onLyricResult | ( | String | requestId,
|  | long | songCode,
|  | String | lyricUrl,
|  | int | reason
| ) |  |

Lyric url callback of getLyric, occurs when getLyric is called

Parameters

  requestId | The request id is same as that returned by getLyric
  songCode | Song code
  lyricUrl | The lyric url of this music
  reason | The status of the request. See MusicContentCenterStateReason

## ◆ onSongSimpleInfoResult()

void io.agora.musiccontentcenter.IMusicContentCenterEventHandler.onSongSimpleInfoResult | ( | String | requestId,
|  | long | songCode,
|  | String | simpleInfo,
|  | int | reason
| ) |  |

Simple info callback of getSongSimpleInfo, occurs when getSongSimpleInfo is called

Parameters

  requestId | The request id is same as that returned by getSongSimpleInfo.
  songCode | Song code
  simpleInfo | The metadata of the music.
  reason | The status of the request. See MusicContentCenterStateReason